@import url("https://fonts.googleapis.com/css2?family=Rajdhani&display=swap");

.primary-color {
    color: #03cadf;
}

.red-color {
    color: #d8808a;
    background: #2b1d2c;
    transition: 0.2s;
}
.red-color:hover,
.red-color:active,
.red-color:focus {
    color: #d8808a;
    text-shadow: 0 0 5px #d8808a;
    background: #2b1d2ca1;
}
.blue-color {
    color: #4fa8e3;
    background: #0b2f53;
    transition: 0.2s;
}
.blue-color:hover,
.blue-color:active,
.blue-color:focus {
    color: #4fa8e3;
    text-shadow: 0 0 5px #4fa8e3;
    background: #2b1d2ca1;
}

.purple-color {
    color: #da70ed;
    background: #1e1a3b;
    transition: 0.2s;
}
.purple-color:hover,
.purple-color:active,
.purple-color:focus {
    color: #da70ed;
    text-shadow: 0 0 5px #da70ed;
    background: #2b1d2ca1;
}

.rc_gradient_bg {
    background-color: #170e3b72;
}

body {
    color: white;
    font-family: "Rajdhani", sans-serif;
    background-image: url(img/bg_dashboard.jpg);
    background-position: top;
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 100vh;
    width: 100%;
    position: relative;
    overflow-y: auto;
    overflow-x: hidden !important;
    background-color: black;
}
a {
    text-decoration: none;
    color: white;
}

main {
    padding-left: 0 !important;
}

.form-select,
.form-control {
    border: none;
    outline: none;
    background-color: #10214c;
    color: #60f7fd;
    transition: border-color 0.3s, box-shadow 0.3s;

    padding: 0.5rem !important;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    border-radius: 0px !important ;
}
input:-webkit-autofill {
    border: none !important;
    outline: none !important;
    background-color: #10214c !important;
    color: #60f7fd !important;
    transition: border-color 0.3s, box-shadow 0.3s !important;

    padding: 0.5rem !important;
    font-size: 1rem !important;
    font-weight: 400 !important;
    line-height: 1.5 !important;
    border-radius: 0px !important ;
}

.form-control:focus {
    color: #60f7fd;
    background-color: #10214c;
    border-color: #60f7fd;
    box-shadow: 0 0 10px #60f7fd;
}

.form-select:focus {
    color: #60f7fd;
    background-color: #10214c;
    border-color: #60f7fd;
    box-shadow: 0 0 10px #60f7fd;
}

.form-select {
    --bs-form-select-bg-img: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%2360f7fd' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e") !important;

    padding-right: 30px !important;
}

.centralize_container {
    width: 85%;
    margin: 0 auto;
}
.logo {
    background: rgb(19, 5, 31);
    min-height: 110px;
}

#sidebar-nav {
    width: 220px;
    background-color: transparent;
    height: 100vh !important;
}
#sidebar {
    background: rgb(19, 5, 31);
    background: linear-gradient(
        90deg,
        rgba(19, 5, 31, 0.5) 0%,
        rgba(22, 12, 47, 0.4) 50%,
        rgba(17, 3, 26, 0.5) 100%
    );
    height: 100% !important;
}

.top-header {
    min-height: 110px;
    color: white;
    display: flex;

}

.top-header ul {
    min-height: 110px;
}

ul {
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
}

.fa-bars {
    color: white;
    transition: 0.3s;
}

.fa-bars:hover {
    color: #03cadf;
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.3s;
}

#sidebar .list-group-item {
    background: transparent;
    color: white;
    margin-left: 4rem;
    padding: 0px;
    margin: 0.5rem;
    margin-left: 2rem;
    border: none;
    padding-left: 0.75rem;
    font-size: 14px;
}

#sidebar .list-group-label {
    background: transparent;
    color: grey;
    margin-left: 4rem;
    padding: 0px;
    margin: 0.5rem;
    margin-left: 2rem;
    border: none;
    padding-left: 0.75rem;
    font-size: 14px;
    cursor: default;
    border-left: 5px solid transparent;
}

#sidebar a.list-group-item.border-end-0.d-inline-block {
    transition: 0.3s;
    border-left: 5px solid transparent;
}
#sidebar a.list-group-item.border-end-0.d-inline-block:hover {
    color: #03cadf;
    text-shadow: 0 0 5px #1ce5df;
    border-left: 5px solid #2ccbdd;
}
#sidebar a.list-group-item.border-end-0.d-inline-block:active {
    border-left: 5px solid #2ccbdd;
}

#sidebar .active-menu {
    border-left: 5px solid #2ccbdd !important;
}

.special_btn {
    background-color: #370d4c;
    color: white;
    cursor: pointer;
    text-align: left;
    cursor: pointer;
    padding: 3px 0px;
    margin-left: 20px;
    margin-top: 5px;
    margin-left: 2rem;
    font-size: 14px;
    transition: 0.3s;
}

.special_btn:hover {
    background-color: #821dab;
    color: #2ccbdd;
}
.special_btn:active {
    background-color: #821dab;
    color: #2ccbdd;
}

.active-btn {
    background-color: #821dab;
    color: #2ccbdd;
}

.special_btn span {
    margin-left: 12px;
}
.breadcrumb-top {
    color: grey;
}

.page_heading {
    margin-left: 5px;
    margin-bottom: 0px;
}
.breadcrumb-main {
    margin-top: 25px;
}
.copyright {
    bottom: 0;
    padding: 10px; /* Adjust padding as needed */
    text-align: left; /* Adjust text alignment as needed */
    font-size: 14px; /* Adjust font size as needed */
    margin-top: 10%;
}

.menu_items_right {
    text-align: right !important;
}
.footer_menu:hover {
    color: #03cadf;
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.3s;
}

.special_btn_long_menu {
    background-color: #370d4c;
    color: white;
    cursor: pointer;
    text-align: left;
    cursor: pointer;
    padding: 3px 0px;
    margin-left: 20px;
    margin-top: 5px;
    margin-left: 0;
    font-size: 14px;
    transition: 0.3s;
}

.top_menu_item_long_menu:hover {
    transition: 0.2s;
    color: rgb(3, 202, 223);
    border-bottom: 3px solid rgb(101, 65, 213) !important;
}

.top_menu_item_long_menu_active {
    transition: 0.2s;
    color: rgb(3, 202, 223);
    border-bottom: 3px solid rgb(101, 65, 213) !important;
}

.rc-btn {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.2s;
    font-weight: bold;
    font-size: 18px;
}

.submit-button {
    background-image: url(img/button.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 130px;
    height: 33px;
    color: #1ce5df;
}

.submit-button:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

.enable-button {
    background-image: url(img/enable.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 145px;
    height: 52px;
    color: #38bd48;
    padding-right: 35px !important;
}

.enable-button:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

.disable-button {
    background-image: url(img/disable.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 145px;
    height: 52px;
    color: #e21d1e;
    padding-left: 35px !important;
}

.disable-button:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

.button-primary {
    background-image: url(img/button_primary.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 88px;
    height: 32px;
    color: #1ce5df;
}

.button-primary:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

.button-warning {
    background-image: url(img/button_warning.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 88px;
    height: 32px;
    color: #c79908;
}

.button-warning:hover {
    text-shadow: 0 0 5px #c79908;
    transition: 0.2s;
}

.button-danger {
    background-image: url(img/button_danger.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 130px;
    height: 32px;
    color: #ae5b65;
}

.button-danger:hover {
    text-shadow: 0 0 5px #ae5b65;
    transition: 0.2s;
}

.button-danger-reset {
    background-image: url(img/button_danger_reset.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 204px;
    height: 43px;
    color: white;
    font-weight: bold;
}

.button-danger-reset:hover {
    text-shadow: 0 0 5px #ae5b65;
    transition: 0.2s;
}

/*Announcement page */

button.ck.ck-button.ck-off {
    color: #fefffc;
}

.ck.ck-toolbar.ck-toolbar_grouping {
    background: #1b1950e0 !important;
    opacity: 0.6;
}
.ck.ck-toolbar__items {
}
.ck.ck-toolbar {
    background: transparent !important;
    border: none !important;
    padding: 0 !important;
}
.ck.ck-button:not(.ck-disabled):hover,
a.ck.ck-button:not(.ck-disabled):hover {
    background: transparent !important;
    color: #1ce5df;
    cursor: pointer;
}
.editor_accouncement {
    background: #241d6185;
    width: 100%;
    color: #918eae;
    padding: 5px 10px;
    text-align: left;
    margin-top: 1px;
    margin-bottom: 1px;
}
.rc_dash_heading {
    text-align: center;
    background: #241d6185;
    padding: 5px 60px 2px 60px;
    color: white;
    margin: 0 auto;
    border-radius: 10px 10px 0px 0px;
    margin-bottom: 1px;
}

.rc_dash_heading_danger {
    background: #5f212e;
    padding: 5px 43px 2px 43px;
    color: white;
    border: 1px solid #ff6161;
    border-radius: 10px 10px 0px 0px;
    margin-bottom: 1px;
}

.main_announcement {
    /*text-align: center;*/
}

.main-container {
    display: flex;
    justify-content: center; /* horizontally centers the content */
    align-items: center; /* vertically centers the content */
}
.textarea_announcement {
    background: #151136;
    border: 1px solid #251a57;
}

.ck.ck-editor__main > .ck-editor__editable:not(.ck-focused) {
    border-color: #251a57 !important;
    border-radius: 0px !important;
}

.ck.ck-editor__main > .ck-editor__editable {
    background: #151136 !important;
}

.ck.ck-content.ck-editor__editable {
    min-height: 200px;
}
.ck-voice-label {
    display: none !important;
}
/*Announcement page */

.cyber_range_bg {
    background: #122955bf;
    width: 100%;
    color: white;
    padding: 5px 10px;
    text-align: left;
    margin-top: 1px;
    border: 1px solid #154279;
}
.cyber_range_heading_bg {
    background: #122955bf;
    text-align: center;
    padding: 5px 60px 2px 60px;
    color: white;
    margin: 0 auto;
    border-radius: 10px 10px 0px 0px;
}
/* Special Data Table */

table {
    background: #122955bf !important;
    color: white !important;
}

div#rc_table_wrapper {
    background: #122955bf !important;
    border: 1px solid #154279;
}
th {
    color: white !important ;
}
td {
    color: white !important;
}
#rc_table_wrapper td {
    color: white !important;
    align-content: center;
}

tr {
    border-top: 1px solid #154279;
    border-bottom: 1px solid #154279;
    border-left: 0;
    border-right: 0;
    transition: 0.3s;
    margin-top: 1px;
}

tbody tr:hover {
    background: #154279 !important;
}

div#rc_table_info {
    border: 1px solid #3a3a89;
    border-radius: 5px;
    padding: 5px 0px;
    text-align: center;
    margin: 10px;
    background: #282c7aad;
}

ul.pagination {
    border: 1px solid #3a3a89;
    border-radius: 5px;
    padding: 5px 0px;
    margin: 10px;
    background: #282c7aad;
}

a.page-link {
    padding: 0px 5px;
    background: transparent;
    border: none;
    color: white;
}

.page-item:first-child .page-link {
    padding: 0px 5px;
    background: transparent;
    border: none;
    color: white;
}
.page-item:not(:first-child) .page-link {
}
.active > .page-link,
.page-link.active {
    color: black;
    background: #03cadf;
}

.page-link:hover {
    color: black;
    background: #03cadf;
}

input.form-control.form-control-sm {
    display: flex;
    flex-direction: row;
    align-items: center;
    border-radius: 5px;
    outline: none;
    margin-left: 10px;
    background-color: #021e2ac2;
    color: white;
    border: 1px solid #03cadf;
}

label {
    display: inline-flex !important;
    align-items: center;
    font-size: 12px;
}
.form-label {
    margin-left: 0.5rem;
}

div#rc_table_filter {
    text-align: right;
    margin: 5px 10px 5px 5px;
}
select.form-select.form-select-sm {
    display: flex;
    flex-direction: row;
    align-items: center;
    border-radius: 5px;
    outline: none;
    margin-left: 10px;
    margin-right: 10px;
    background-color: #021e2ac2;
    color: white;
    border: 1px solid #03cadf;
}
div#rc_table_length {
    margin: 5px 5px 5px 10px;
}

/* Special Data Table */

/* Root Capture Tabs */

ul#pills-tab {
    background: #150f33;
    padding: 2px 0px;
    border: 1px solid #2a1c60;
    margin-bottom: 4px;
}

.nav-pills .nav-link {
    border-bottom: solid transparent 3px;
    background: transparent !important;
    color: white;
    padding: 0px 20px;
    border-radius: 0px;
    font-size: 18px;
    transition: 0.3s;
    margin-bottom: -9px;
}
li.nav-item {
    padding: 3px;
}
button#pills-home-tab {
    padding-bottom: 4px;
}

.nav-link:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.3s;
    color: white !important;
}

.nav-link.active,
.nav-pills .show > .nav-link {
    cursor: pointer;
    transition: 0.4s;

    color: #03cadf !important ;
    border-bottom: solid #6541d5 3px !important;
}
.tab-content > .active {
    width: 100%;
}

div#pills-tabContent {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    background-color: #170e3b72;
}

.tab_footer {
    background-color: #150f33;
    max-height: 55px;
    min-height: 50px;
}

/* Root Capture Tabs */

/*Ticket Page */

.ticket_list a.list-group-item.list-group-item-action {
    background: transparent;
    color: white;
    border: 0px;
    border-bottom: 1px solid #3a2985;
}

.ticket_list h6 {
    color: #ffcb05;
}
.ticket_list h6:hover {
    color: #f37021;
}

.list_background {
    background: #151136 !important;
}
.list_background:hover {
    background: #251a57 !important;
}

.ticket_list {
    margin-left: -35px;
    border: 1px solid #251a57 !important;
    border-radius: 0px 0px 0px 0px !important;
    height: 330px;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-width: thin; /* Width of the scrollbar */
    scrollbar-color: #5138ba #1d1649; /* Color scheme for the scrollbar */
}

.container::-webkit-scrollbar {
    width: 8px; /* Width of the scrollbar */
    height: 80%; /* Set the height to 80% of the container's height */
}

.row.list_background {
    padding: 10px 20px 10px 20px;
}

/*Ticket Page */

.rc_container_box {
    background: #150f334a;
    padding: 2px 0px;
    border: 1px solid #2a1c60;
    margin-bottom: 4px;
    color: white;
}
.rc_border {
    border: 1px solid #2a1c60;
}

/* RC Cards*/
.rc_card_heading {
    text-align: center;
    background: #150f33;
    padding: 2px 0px;
    border: 1px solid #2a1c60;
    margin-bottom: 4px;
    color: white;
}

.rc_card_body {
    text-align: center;
    background-color: #170e3b72;
}

.rc_card_body_just_background {
    background-color: #170e3b72;
}

.heading_danger {
    color: #db3046 !important;
    font-weight: bold;
    font-size: 22px;
}
.card_body_text {
    color: white;
}

.btn_enter_class {
    background-image: url(img/btn_factory_reset.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 100%;
    height: 47px;
    color: #1ce5df;
    font-size: 14px;
    font-weight: 100;
}

.btn_enter_class:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

.btn_factory_reset {
    background-image: url(img/btn_factory_reset.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 250px;
    height: 46px;
    color: #1ce5df;
    font-size: 15px;
    font-weight: 100;
}

.btn_factory_reset:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

.btn_user_reset {
    background-image: url(img/btn_user_reset.png);
    background-size: contain;
    background-repeat: no-repeat;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: 250px;
    height: 46px;
    color: white;
    font-size: 15px;
    font-weight: 100;
}

.btn_user_reset:hover {
    text-shadow: 0 0 5px #1ce5df;
    transition: 0.2s;
}

/* RC Cards*/
